#import "PNArc.h"

#import "PNToken.h"

@implementation PNArc

// Custom logic goes here.

@synthesize uuids;
@synthesize targetTokenEntityName;

-(BOOL)satisfactoryToken: (PNToken*)testToken
{
    if( nil == self.uuids ) return NO; 
    
    BOOL uuidOK = YES;
    if( 0 != self.uuids.count ){  // empty set acts as wildcard
        uuidOK = [self.uuids containsObject: testToken.uuid];
    }
    
    BOOL entityOK = YES;
    if( nil != self.targetTokenEntityName ){ // nil targetTokenEntityName acts as a wildcard.
        entityOK = [testToken.entity.name
                    isEqualToString: self.targetTokenEntityName];
    }
    
    return uuidOK && entityOK;
}
@end
