#import "_PNURLTokenPlace.h"

#import "PNURLToken.h"

@class PNURLToken;


/**
	PNURLTokenPlace holds url tokens. PNDocSupportNet owns four primary PNURLTokenPlaces: one for each value of PNUuidStatus other than PNUuidStatusInvalid and PNUuidStatusUnknown.
 */
@interface PNURLTokenPlace : _PNURLTokenPlace
{
}
/**
	@returns the PNUuidStatus of its place, or PNUuidStatusUnknown if its place is nil.
 */
@property (readwrite, assign) enum PNUuidStatus uuidStatus;

-(PNURLToken*)tokenForUuid: (NSString*)uuid;
-(NSSet*)tokensForUuids: (NSSet*)uuids;
@end
