#import "_PNCloseOpen.h"

/**
 PNCloseOpen closes one document and opens another.
 */
@interface PNCloseOpen : _PNCloseOpen {}
// Custom logic goes here.


/**
 
 Typically, the sourcePlace and destPlace are the same. But, sourcePlace and destPlace could well be distinct, in the case of master/detail view controllers.
 @param aPipelineTransitionDelegate the outer transition delegate (the receiver serves as the transition delegate for its internal transitions.
 @param uuidToClose identifies the target docToken in fromPlace
 @param fromPlace the place that contains the target doc token.
 @param uuidToOpen identifies the target url token in the unassigned place.
 @param toPlace the place that receives the product doc token.

 */
-(void)enableFor: (id<PNTransitionDelegate>)aPipelineTransitionDelegate
    closeUuid: (NSString*)uuidToClose
    fromPlace: (PNDocTokenPlace*)fromPlace
     openUuid: (NSString*)uuidToOpen
      toPlace: (PNDocTokenPlace*)toPlace;

@end
