#import "PNDocTokenPlace.h"

#import "PNDocToken.h"

@interface PNDocTokenPlace ()
@end

@implementation PNDocTokenPlace

// Custom logic goes here.

@synthesize marker; // a debug trap: should be @synthesize

-(void)addToken:(PNToken *)token
{
    NSAssert( [token isKindOfClass: [PNDocToken class]],
             @"Bogus doc token." );
    [super addToken: token];
    
    dispatch_async(dispatch_get_main_queue(), ^{
        [self.marker didAddDocToken: (PNDocToken*)token];
    });
    
    
}
-(void)removeToken:(PNToken *)token
{
    NSAssert( token.isAvailableValue,
             @"In the Petri Net formalism, we remove only available tokens from  place.");
    [self.marker willRemoveDocToken: (PNDocToken*)token];
    [super removeToken: token];
}
@end
