#import "PNCloseDoc.h"

#import "PNDocToken+FileOperations.h"
#import "PNDocToken+LifeCycling.h"

#import "PNArcP2T.h"
#import "PNArcT2P.h"
#import "PNURLTokenPlace.h"
#import "PNDocTokenPlace.h"

#import "PNDocSupportNet.h"

#import "NSManagedObject+PNPermanentIDing.h"

#import "PNTransition+Transforming.h"

//@interface PNCloseDoc ()
//@end

@implementation PNCloseDoc

//
-(PNArcP2T*)arcFromUnassignedLocal
{
    return nil;
}
-(PNArcP2T*)arcFromUnassignedCloud
{
    return nil;
}
//-(PNArcT2P*)arcToUnassignedLocal
//{
//    return nil;
//}
//-(PNArcT2P*)arcToUnassignedCloud
//{
//    return nil;
//}
//-(PNArcP2T*)arcFromAssignedLocal
//{
//    return nil;
//}
//-(PNArcP2T*)arcFromAssignedCloud
//{
//    return nil;
//}
-(PNArcT2P*)arcToAssignedLocal
{
    return nil;
}
-(PNArcT2P*)arcToAssignedCloud
{
    return nil;
}
-(PNArcT2P*)arcToDestination
{
    return nil;
}
//-(PNArcP2T*)arcFromSource
//{
//    return nil;
//}
//-(PNDocTokenPlace*)sourcePlace
//{
//    return nil;
//}

//-(void)setSourcePlace:(PNDocTokenPlace *)aSourcePlace
//{
//    NSAssert( NO, @"%@ has no source place",
//             NSStringFromClass([self class]) );
//    
//}
-(PNDocTokenPlace*)destinationPlace
{
    return nil;
}
//-(void)setDestinationPlace:(PNDocTokenPlace *)aDestinationPlace
//{
//    NSAssert( NO, @"%@ has no destination place",
//             NSStringFromClass([self class]) );
//}

-(void)enableFor: (id<PNTransitionDelegate>)transitionDelegate
{
    NSAssert( NO, @"-[PNCloseDoc enableFor:] aborts. Use -enableFor:targetUuid:fromPlace:");
}


-(void)enableFor: (id<PNTransitionDelegate>)transitionDelegate
       closeUuid: (NSString*)closeUuid
       fromPlace: (PNDocTokenPlace*)fromPlace
{
    m_permID_sourcePlace = [fromPlace permanentID];
    m_permID_arcToDestination = nil;
    
    self.sourceUuid = closeUuid;
    self.destinationUuid = closeUuid;
        
    [super enableFor: transitionDelegate];
}


@end

@implementation PNCloseDoc (Transforming)
-(void)launchTransform
{
    [self.docToken closeDocument];
    
    // callbacks: -docTokenDidBecomeAvailable: or -docToken:didFailWithError:
    // Call [super transform] from
    //   -docTokenDidBecomeAvailable:
    // or
    //   -docToken:didFailWithError:.
    
    self.unassignedOut = [NSSet setWithObject: self.docToken.urlToken];
}
-(void)scatterTokens
{
    
    [self assertOutputGuardExpressions];
    [self scatterURLTokens];
    [self scatterDocToken];
}

-(void)scatterDocToken
{
    /**
     The implementation of -[PNDocTokenTransition scatterDocToken]
     covers PNCreateDoc and PNOpenDoc.
     PNCloseDoc must override.
     */
    
    PNDocToken *haplessDocToken = self.docToken;
    haplessDocToken.urlToken = nil;
    
    [self.innerPlace clear];
    self.docToken = nil;
    [PNDocToken deleteDocToken: haplessDocToken];
    
}

@end