#import "_PNDeleteUUIDs.h"

/**
 The transform method calls -deleteURLsAndURLToken:error: on each input token.
 
 Someday, we might want to make the PNDeleteURLs transition "undoable" (no more than one level deep, I suppose).
 It's the only transition that actually loses information; it deletes files.
 The others are information-preserving transforms, and undo wouldn't make good sense to the user.
 
 Open and Close undo each other.
 Delete undoes New.

 */
@interface PNDeleteUUIDs : _PNDeleteUUIDs

@end
