#import "PNOpenDoc.h"

#import "PNDocTokenPlace.h"
#import "PNDocToken.h"
#import "PNDocToken+FileOperations.h"
#import "PNDocToken+LifeCycling.h"
#import "PNURLToken.h"

#import "PNDocSupportNet.h"

#import "PNTransition+Transforming.h"

#import "NSManagedObject+PNPermanentIDing.h"

#import "PNArcP2T.h"
#import "PNArcT2P.h"

#import "PNURLTokenPlace.h"
#import "PNDocToken+Managing.h"

//@interface PNOpenDoc ()
//@property (readwrite, strong) NSSet *unassignedIn;
//@property (readwrite, strong) NSSet *assignedOut;
//@end

@implementation PNOpenDoc

//@synthesize unassignedIn, assignedOut;

// Custom logic goes here.


//-(PNArcP2T*)arcFromUnassignedLocal
//{
//    return nil;
//}
//-(PNArcP2T*)arcFromUnassignedCloud
//{
//    return nil;
//}
-(PNArcT2P*)arcToUnassignedLocal
{
    return nil;
}
-(PNArcT2P*)arcToUnassignedCloud
{
    return nil;
}
-(PNArcP2T*)arcFromAssignedLocal
{
    return nil;
}
-(PNArcP2T*)arcFromAssignedCloud
{
    return nil;
}
//-(PNArcT2P*)arcToAssignedLocal
//{
//    return nil;
//}
//-(PNArcT2P*)arcToAssignedCloud
//{
//    return nil;
//}
//-(PNArcT2P*)arcToDestination
//{
//    return nil;
//}
-(PNArcP2T*)arcFromSource
{
    return nil;
}
-(PNDocTokenPlace*)sourcePlace
{
    return nil;
}

//-(void)setSourcePlace:(PNDocTokenPlace *)aSourcePlace
//{
//    NSAssert( NO, @"%@ has no source place",
//             NSStringFromClass([self class]) );
//    
//}
//-(PNDocTokenPlace*)destinationPlace
//{
//    return nil;
//}
//-(void)setDestinationPlace:(PNDocTokenPlace *)aDestinationPlace
//{
//    NSAssert( NO, @"%@ has no destination place",
//             NSStringFromClass([self class]) );
//}


-(void)enableFor: (id<PNTransitionDelegate>)transitionDelegate
{
    NSAssert( NO, @"-[PNOpenDoc enableFor:] aborts. Use -enableFor:uuid:toPlace:");
}
-(void)enableFor: (id<PNTransitionDelegate>)transitionDelegate
       uuid: (NSString*)uuid
    toPlace: (PNDocTokenPlace*)toPlace
{    
    m_permID_destinationPlace = [toPlace permanentID];
    NSAssert( (nil != m_permID_destinationPlace ), @"Oh, drat. A toPlace with a nil permanentID. That won't do.");
    
    self.sourceUuid = uuid;
    self.destinationUuid = uuid;
   
    [super enableFor: transitionDelegate];
}
@end

@implementation PNOpenDoc (Transforming)
-(void)gatherDocToken
{
    NSAssert( (1==self.unassignedIn.count),
             @"-[PNOpenDoc gatherURLTokens] should find 1, got %d",
             self.unassignedIn.count);
    PNURLToken *targetURLToken = [self.unassignedIn anyObject];
    
    self.docToken = [PNDocToken docTokenWithURLToken: targetURLToken
                                    creationDelegate: nil];
    self.docToken.isAvailableValue = YES;
    
    [self.innerPlace addToken: self.docToken];
    
}

-(void)launchTransform
{
    [self.docToken establishDocument];
    
    // callbacks: -docTokenDidBecomeAvailable: or -docToken:didFailWithError:
    // Call [super transform] from -docTokenDidBecomeAvailable: or -docToken:didFailWithError:.
    
    self.assignedOut = [NSSet setWithObject: self.docToken.urlToken];
}
@end