//
//  NSString+PNEllipsis.m
//  TaggedLocationsDemo
//
//  Created by DevGuy on 1/4/13.
//
//

#import "NSString+PNEllipsis.h"

@implementation NSString (PNEllipsis)
-(NSString*)pnEllipsis
{
    static NSUInteger PNEllipsis_Limit = 9;
    
    NSUInteger length = self.length;
    
    if( length <= PNEllipsis_Limit){
        return self;
    }else{
        NSRange headRange = {0, 3};
        NSRange tailRange = {length-3, 3};
        
        NSString *head = [self substringWithRange: headRange];
        NSString *tail = [self substringWithRange: tailRange];
        
        NSString *headDotDotDotTail = [NSString stringWithFormat: @"%@...%@", head, tail];
        
        return headDotDotDotTail;
    }
}
@end
