//
//  RootViewController+UuidTokenArchiving.h
//  TaggedLocationsDemo
//
//  Created by DevGuy on 5/5/12.
//  Copyright (c) 2012 NowPicture LLC. All rights reserved.
//

#import "RootViewController.h"

extern const NSString *TLDRootViewControllerMostRecentDocTokenDotUrlTokenDotUuidKey;

@class PNURLToken;

@interface RootViewController (UuidTokenArchiving)

-(void)archiveURLToken: (PNURLToken*)url
               withKey: (NSString*)key;

-(PNURLToken*)unarchivedUrlTokenWithKey: (NSString*)key;

-(void)openMostRecentOrCreateNewDocument;
@end

