//
//  TLDemoAppDelegate.h
//  TaggedLocationsDemo
//
//  Created by DevGuy on 2/15/12.
//  Copyright (c) 2012 NowPicture LLC. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "PNTransitionDelegate.h"
@class RootViewController;

/**
 TLDemoAppDelegate owns the main view's custom view controller, RootViewController.
 */
@interface TLDemoAppDelegate : UIResponder
    <UIApplicationDelegate,
    PNTransitionDelegate>
{
    
    NSURL *_applicationSupportDirectory;
}
/**
	Std window
 */
@property (strong, nonatomic) UIWindow *window;

/**
 TLDemoAppDelegate owns the main view's custom view controller, RootViewController.
 */
@property (readwrite, strong) RootViewController *rootViewController;
/**
 Convenience method for -commonLaunch. Returns the directory for DocSupport's SQLite data base: <NSApplicationSupportDirectory> slash <bundle ID>
 */
@property (readonly, strong) NSURL *applicationSupportDirectory;

/**
	Supports the PNTransitionDelegate protocol.
 */
@property (readwrite, strong) PNTransition *activeTransition;

/**
	Convenience accessor for standard user defaults.
 */
@property (readonly, strong) NSUserDefaults *userDefaults;

@end

